# Uses of Interface
org.eclipse.emf.cdo.transaction.CDOStaleReferenceCleaner

Packages that use CDOStaleReferenceCleaner
Package
Description
org.eclipse.emf.cdo.transaction
Client concepts for dealing with transactions, distributed transactions and their save points.

## Uses of CDOStaleReferenceCleaner in org.eclipse.emf.cdo.transaction

Classes in org.eclipse.emf.cdo.transaction that implement CDOStaleReferenceCleaner
Modifier and Type
Class
Description
`static class`
`CDOStaleReferenceCleaner.Default`
A default `CDOStaleReferenceCleaner` that can be used on invalidation.
Fields in org.eclipse.emf.cdo.transaction declared as CDOStaleReferenceCleaner
Modifier and Type
Field
Description
`static final CDOStaleReferenceCleaner`
CDOStaleReferenceCleaner.`DEFAULT`
Methods in org.eclipse.emf.cdo.transaction that return CDOStaleReferenceCleaner
Modifier and Type
Method
Description
`CDOStaleReferenceCleaner`
CDOTransaction.Options.`getStaleReferenceCleaner()`
Get the `CDOStaleReferenceCleaner` to be used to clean stale references when receiving remote changes on invalidation.
Methods in org.eclipse.emf.cdo.transaction with parameters of type CDOStaleReferenceCleaner
Modifier and Type
Method
Description
`void`
CDOTransaction.Options.`setStaleReferenceCleaner(CDOStaleReferenceCleaner staleReferenceCleaner)`
Set the `CDOStaleReferenceCleaner` to be used to clean stale references when receiving remote changes on invalidation.